## org.apache.mahout.clustering.lda
Class LDAInference.InferredDocument

    java.lang.Object
      org.apache.mahout.clustering.lda.LDAInference.InferredDocument

Enclosing class:
  LDAInference

    public static class LDAInference.InferredDocument

extends java.lang.Object

An estimate of the probabilitys for each document. Gamma(k) is the probability of seeing topic k in the document, phi(k,w) is the probability of topic k generating w in this document.

Method Summary
`Vector` `getGamma()`
`double` `getLogLikelihood()`
`Vector` `getWordCounts()`
`double` `phi(int k, int w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### phi

    public double phi(int k,
                      int w)

### getWordCounts

    public Vector getWordCounts()

### getGamma

    public Vector getGamma()

### getLogLikelihood

    public double getLogLikelihood()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.